MT_CREATE_POOL(3)

FUNCTION
mt_create_pool - Create a pool of threads which may have jobs launched onto it.

SYNOPSIS
#include <karma_mt.h>

KThreadPool mt_create_pool

(void *pool_info)

DESCRIPTION
Create a pool of threads which may have jobs launched onto it.

pool_info
    An arbitrary pointer passed to work functions.

RETURN VALUE
A KThreadPool object on success, else NULL.

Multi-threading Level
Safe under Solaris 2.

NOTE
The environment variable MT_MAX_THREADS may be used to limit the number of threads used.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/